# Database

The "Database" section allows the management of database resources. You can view all the databases created by a particular team and delete resources if necessary.

## Delete database by ID

<mark style="color:red;">`DELETE`</mark> `{{BASE_URL}}/admin/api/databases/{id}`

Delete a specific database by unique id.

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | Database ID |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{"message":"Database deleted","dbId":"6548d4f261cabb0308b984ee"}
```

{% endtab %}
{% endtabs %}

## Get databases

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/admin/api/teams/{id}/databases`

Get all databases for a specific team.

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| page<mark style="color:red;">\*</mark>  | String | 1           |
| limit<mark style="color:red;">\*</mark> | String | 10          |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "docs": [
        {
            "_id": "6549e7710a5652081f72e3ee",
            "region": {
                "datacenter": {
                    "name": "berlin",
                    "displayName": "Berlin"
                },
                "physicalLocation": "Germany"
            },
            "image": {
                "version": {
                    "name": "4_2_23",
                    "displayName": "version 4.2.23"
                },
                "distribution": "MongoDB"
            },
            "attestationId": "9d6e757b-a2e7-4a19-80d1-dad570b82c49",
            "port": "27017",
            "status": 3,
            "team": {
                "_id": "6548a41f38406c14db33b61e",
                "name": "My Team",
                "email": "john.doe@mail.com",
                "members": [
                    {
                        "user": "6548a41138406c14db33b606",
                        "role": 0
                    }
                ],
                "createdAt": "2023-11-06T08:30:23.529Z",
                "updatedAt": "2023-11-06T12:56:06.337Z",
                "billingSettings": "6548e2660919dc0442dc2ec7"
            },
            "project": {
                "_id": "6548a41f38406c14db33b62c",
                "name": "first-project",
                "description": "Update your project information under Settings",
                "environment": "Development",
                "purpose": "Just trying out Enclaive",
                "isDefault": false,
                "icon": 1,
                "owner": "6548a41138406c14db33b606",
                "team": "6548a41f38406c14db33b61e",
                "createdAt": "2023-11-06T08:30:23.552Z",
                "updatedAt": "2023-11-07T08:52:28.154Z"
            },
            "name": "kraud-cloud-mongodb-1vcpu-1gb-berlin-01",
            "provider": {
                "_id": "6548a383e2442d14b6bf968c",
                "type": "db",
                "isDisabled": false,
                "cloudProvider": {
                    "_id": "6548a383e2442d14b6bf9685",
                    "name": "Kraud.Cloud",
                    "isDisabled": false
                }
            },
            "size": {
                "_id": "6548a383e2442d14b6bf9728",
                "provider": "6548a383e2442d14b6bf968c",
                "location": "berlin",
                "name": "Standart_berlin_1_1_15",
                "vCPUs": 1,
                "memoryGB": 1,
                "spaceGB": 15,
                "group": 0
            },
            "price": {
                "_id": "6548a383e2442d14b6bf96dc",
                "provider": "6548a383e2442d14b6bf968c",
                "locationName": "berlin",
                "sizeName": "Standart_berlin_1_1_15",
                "imageName": "MongoDB",
                "pricePerHour": 0.0223,
                "pricePerMonth": 15,
                "currencyCode": "EUR",
                "createdAt": "2023-11-06T08:27:47.129Z",
                "updatedAt": "2023-11-06T08:27:47.129Z"
            },
            "owner": {
                "_id": "6548a41138406c14db33b606",
                "name": "John Doe",
                "email": "john.doe@mail.com"
            },
            "ipConfigurations": [
                {
                    "_id": "6549e77f0a5652081f72e41d",
                    "type": "public",
                    "method": "Dynamic",
                    "version": "IPv4",
                    "address": "185.112.181.100"
                }
            ],
            "createdAt": "2023-11-07T07:29:53.198Z",
            "updatedAt": "2023-11-07T07:30:36.746Z",
            "deletedAt": "2023-11-07T07:30:36.745Z",
            "id": "6549e7710a5652081f72e3ee"
        }
    ],
    "totalDocs": 1,
    "limit": 10,
    "totalPages": 1,
    "page": 1,
    "pagingCounter": 1,
    "hasPrevPage": false,
    "hasNextPage": false,
    "prevPage": null,
    "nextPage": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/admin-admin-api/accounts/team/database.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
